<?php

namespace App\Service;

use App\Entities\Pizza;

class PizzaService
{
    private IngredientService $ingredientService;

    public function __construct(private $categoryRepository,)
    {
        $this->ingredientService =  new IngredientService();
    }


    public function create(array $data): ?Pizza
    {
        $pizza =  null;

        if (isset($data['name']) && isset($data['description']) && isset($data['price']) && isset($data['recipeText']) && isset($data['idCategory'])) {
            $category = $this->categoryRepository->getCategoryById($data['idCategory']);
            $pizza = new Pizza(null, $data['name'], $data['description'], $data['price'], $data['recipeText'], $category);

            if(isset($data['ingredients']))
            {
                foreach ($data['ingredients'] as $ingredients)
                {
                    $pizza->ingredients[] = $this->ingredientService->create($ingredients);
                }
            }
        }
        return $pizza;
    }

    public function update(array $data,int $idPizza): ?Pizza
    {
        $pizza = $this->create($data);
        if(null !== $pizza)
            $pizza->id = $idPizza;

        return $pizza;
    }
}